#map { z-index: -1; margin-top: 0px; width: 100vw; height: 100vh; float: left; }
/*#panel { margin-top: 0px;   text-align: center;  background-image: linear-gradient(to bottom, lightgray, gray); }*/
/*#panel h1*/
/*{*/
/*  margin-top: 0px;*/
/*  text-align: center;*/
/*  color: white;*/
/*  text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkviolet;*/
/*}*/

.panel {
  margin-bottom: 21px;
  background-color: #ffffff;
  border: 1px solid transparent;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
  box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
}

.panel-primary {
  border-color: #2c3e50;
}

.panel-heading {
  padding: 10px 15px;
  border-bottom: 1px solid transparent;
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
  color: #ffffff;
  background-color: #2c3e50;
  border-color: #2c3e50;
}

.panel-title {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 17px;
  color: inherit;
}

.panel.telemetry .panel-body {
  /*overflow-y: scroll;*/
  /*height: 259px;*/
}

.panel-body {
}

.panel-warning>.panel-heading {
  color: #ffffff;
  background-color: #f39c12;
  border-color: #f39c12;
}

.panel.telemetry {
  position: absolute;
  height: 300px;
  width: 350px;
  left: 10px;
  bottom: 0;
  z-index: 99;
  /* background-image: linear-gradient(to bottom right, lightgray, gray); */
}

.panel.logbook {
  position: absolute;
  height: 300px;
  width: 350px;
  right: 10px;
  bottom: 0px;
  z-index: 99;
}

.panel.messages {
  position: absolute;
  height: 300px;
  width: 350px;
  right: 10px;
  bottom: 330px;
  z-index: 99;
}

.panel.speedometer {
  position: absolute;
  height: 130px;
  width: 130px;
  left: 10px;
  bottom: 450px;
  z-index: 99;
  background-color: transparent;
}

.panel.compass {
  position: absolute;
  height: 130px;
  width: 130px;
  left: 10px;
  bottom: 310px;
  z-index: 99;
  background-color: transparent;
}

.panel.weather {
  position: absolute;
  left: 370px;
  bottom: 0px;
  z-index: 99;

  background:rgb(255, 255, 255);
  padding: 20px;
  border-radius:15px;
  height:150px;
  width:300px;
  box-shadow: 0 0 20px 2px #5e5d5da9 ;

}


#cityName{
  position: absolute;
  top:5px;
  left:10px;
  font-size: 2.9em;
  width:290px;
  white-space: nowrap;
  overflow-x: auto;
}

#image{
  position: absolute;
  top:10px;
  right:10px;
  background:#c6ccc1;
  height: 100px;
  border-radius: 50%;
  border: 0.2px dotted black;
  box-shadow: 0 0 20px 2px #ccdef0 ;
}

#temp{
  position: absolute;
  bottom:20px;
  left:10px;
  font-size: 5em;
}

#main{
  position: absolute;
  bottom:40px;
  right:10px;
  font-size: 2em;

}

#description{
  position: absolute;
  width: 100%;
  text-align: center;
  bottom:5px;
  left: 0;
  font-size: 1.1em;
  background:rgba(216, 250, 239, 0.555);
  border-radius: 0 0 10px 10px;
}

html,
body
{
  padding: 0;
  margin: 0;
}



.text-white
{
  color: white;
  background-color: red;
}

/*.panel.messages*/
/*{*/
/*  position: absolute;*/
/*  height: 300px;*/
/*  width: 350px;*/
/*  right: 10px;*/
/*  z-index: 99;*/
/*}*/

.panel.messages.sms-messages
{
  bottom: 310px;
}

.panel.messages.tracker-logbook
{
  bottom: 0;
}

.panel.messages .panel-body
{
  overflow-y: scroll;
  height: 259px;
  padding: 0;
}

.panel.logbook .panel-body
{
  overflow-y: scroll;
  height: 259px;
  padding: 0;
}

.panel.messages ul
{
  list-style: none;
  padding: 0;
  margin: 0;
}

.panel.messages li
{
  padding: 15px;
}

.panel.messages .message .info
{
  font-size: 0.9em;
  margin: 0;
}

.panel.logbook .logbook .info
{
  font-size: 0.9em;
  margin: 0;
}

.panel.logbook .info .battery
{
  float: right;
  margin-right: 5px;
}

.panel.messages .message .text
{
  margin-top: 5px;
}

@media(max-width: 1024px)
{

  .panel.messages
  {
    position: static;
    height: auto;
  }

  .panel.messages.sms-messages
  {
    width: 49%;
    float: right;
  }

  .panel.messages.tracker-logbook
  {
    width: 49%;
    float: left;
  }

  .panel.messages .panel-body
  {
    overflow-y: auto;
    height: auto;
  }

}

@media(max-width: 768px)
{

  .panel.messages.sms-messages,
  .panel.messages.tracker-logbook
  {
    position: static;
    width: 100%;
    float: none;
  }
}


.fa-clock-o:before {
  content: "\23f0";
  font-style: normal;
}

.fa-flash:before, .fa-bolt:before {
  content: "\1F50B";
  font-style: normal;
}
*:before, *:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
